kind: pipeline
name: default

steps:
- name: build
  image: itsblue.dev/plugins/doxygen
  settings:
    doxyfile: docs/Doxyfile-mcss

- name: publish
  image: itsblue.dev/plugins/codeberg-pages-deploy
  settings:
    folder: docs/html
    ssh_key:
        from_secret: gitea-ssh-key
